SP Series Compatibility Status With Ubuntu 20.04 LTS


Supported fi Series
  SP-1120, SP-1125, SP-1130, SP-1425
Supported Software
Driver Status
Image scanner driver for Linux Supported by 2.1.1 or later.  (64-bit version only)

Ubuntu 20.04 LTS is supported with the following scanner models:
- SP-1120/N/SP-1125N/SP-1130N


Top of Page